git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [VOTE] Apache CloudStack 4.11.2.0 RC2


Thanks Rene, that worked! 

We have a  +1 then. 

Bobby.


boris.stoyanov@xxxxxxxxxxxxx 
www.shapeblue.com
Amadeus House, Floral Street, London  WC2E 9DPUK
@shapeblue
  
 

> On 28 Sep 2018, at 11:38, Rene Moser <mail@xxxxxxxxxxxxx> wrote:
> 
> Hi
> 
> On 09/28/2018 05:21 PM, Boris Stoyanov wrote:
>> Hi guys,
>> 
>> I’ve did some upgrade testing of RC2. I did upgraded database successfully from 4.5.2.2, 4.9.3 and 4.11.1, but unfortunately I’ve run into a connectivity issue between vmware 4.5u3 environments. 
>> 
>> Looks like TLS1.2 is not supported at first glance.
>> 
>> 	Caused by: javax.net.ssl.SSLHandshakeException: Server chose TLSv1, but that protocol version is not enabled or not supported by the client.
> 
>> I’m guessing we’ll need an RC3. 
> 
> This is a known issue and also exists in 4.11 (upgrade from 4.5 to 4.11.1)
> 
> Probably only needs some docs:
> 
> in /etc/cloudstack/management/java.security.ciphers
> 
> change line
> 
> jdk.tls.disabledAlgorithms=SSLv2Hello, SSLv3, TLSv1, TLSv1.1, DH keySize
> < 128, RSA keySize < 128, DES keySize < 128, SHA1 keySize < 128, MD5
> keySize < 128, RC4
> 
> to
> 
> jdk.tls.disabledAlgorithms=SSLv2Hello, SSLv3, DH keySize < 128, RSA
> keySize < 128, DES keySize < 128, SHA1 keySize < 128, MD5 keySize < 128, RC4
> 
> solves it.
> 
> Regards
> René